#
# spec file for package pfstools (Version 1.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    ImageMagick ImageMagick-Magick++ ImageMagick-Magick++-devel ImageMagick-devel Mesa Mesa-devel OpenEXR OpenEXR-devel aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blas bzip2 cairo coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat fftw3 fftw3-devel fftw3-threads file filesystem fillup findutils flex fltk fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc-fortran gcc41 gcc41-c++ gcc41-fortran gd gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gmp gnome-filesystem gnuplot gpm grep groff gtk2 gzip info insserv klogd lapack less libacl libattr libcom_err libdrm libgcc41 libgfortran41 libjasper libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnetpbm libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libwmf libwmf-devel libwmf-gnome libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp module-init-tools mpfr ncurses ncurses-devel net-tools netcfg netpbm octave openldap2-client openssl pam pam-modules pango patch perl permissions pkgconfig plotutils popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           pfstools
Version:        1.5
Release:        47.1
License:        GPL v2 or later, LGPL v2 or later
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-octave.patch
Patch1:         %{name}-%{version}-gcc.patch
Patch2:         %{name}-secfix_298770.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Productivity/Multimedia/Other
URL:            http://www.mpi-sb.mpg.de/resources/pfstools/
BuildRequires:  ImageMagick-Magick++-devel OpenEXR-devel blas fftw3-devel lapack libtiff-devel netpbm octave pkgconfig qt3-devel readline-devel
Summary:        High Dynamic Range Images and Video manipulation tools

%description
pfstools package is a set of command line (and one GUI) programs for
reading, writing, manipulating and viewing high-dynamic range (HDR)
images and video frames. All programs in the package exchange data
using a simple generic file format (pfs) for HDR data. The concept of
the pfstools is similar to netpbm package for low-dynamic range images.



Authors:
--------
    Grzegorz Krawczyk <krawczyk@mpi-sb.mpg.de>
    Rafal Mantiuk <mantiuk@mpi-sb.mpg.de> 

%debug_package
%package devel
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Summary:        High Dynamic Range Images and Video manipulation tools

%description devel
pfstools package is a set of command line (and one GUI) programs for
reading, writing, manipulating and viewing high-dynamic range (HDR)
images and video frames. All programs in the package exchange data
using a simple generic file format (pfs) for HDR data. The concept of
the pfstools is similar to netpbm package for low-dynamic range images.



Authors:
--------
    Grzegorz Krawczyk <krawczyk@mpi-sb.mpg.de>
    Rafal Mantiuk <mantiuk@mpi-sb.mpg.de> 

%prep
%setup -q
%patch
%patch1
%patch2

%build
%{?suse_update_config:%{suse_update_config}}
#aclocal
#autoheader
#automake
#autoconf
CFLAGS="$RPM_OPT_FLAGS"  \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
    --prefix=/usr \
    --mandir=%{_mandir} \
    --libdir=/%{_libdir} 
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/*.so.*
%{_libdir}/octave/*/site/oct/*/pfstools
%_datadir/octave/*/site/m/pfstools

%files devel
%doc doc/{pfs_format_spec.pdf,faq.txt}
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Tue Aug 14 2007 - postadal@suse.cz
- fixed vulnerability when reading Radiance RGBE (*.hdr) files
  [#298770] (secfix_298770.patch)
* Sat Oct 28 2006 - postadal@suse.cz
- added ImageMagick*-devel to BuildRequires (for pfs[in/out]imgmagick)
* Mon Oct 23 2006 - postadal@suse.cz
- fixed invalid pure specifier (gcc.patch)
* Wed Oct 11 2006 - postadal@suse.cz
- packed pfs_format_spec.pdf and faq.txt to -devel
* Sat Oct 07 2006 - postadal@suse.cz
- initial version 1.5
- fixed linking octave (octave.patch)
- fixed gcc issues (gcc.patch)
